<?xml version="1.0" encoding="UTF-8"?>
<fmiModelDescription
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  fmiVersion="2.0"
  modelName="CarExampleManual"
  guid="{1b3c30ce-76da-4a60-b72c-081eee847b9b}"
  generationTool="Dymola Version 2018 (64-bit), 2017-04-10"
  generationDateAndTime="2018-11-28T15:08:42Z"
  variableNamingConvention="structured"
  numberOfEventIndicators="0">
  <ModelExchange
    modelIdentifier="CarExampleManual"
    canGetAndSetFMUstate="true"
    providesDirectionalDerivative="true">
    <SourceFiles>
      <File
        name="all.c"/>
    </SourceFiles>
  </ModelExchange>
  <DefaultExperiment startTime="0.0"
    stopTime="1.0"
    tolerance="0.0001"/>
  <ModelVariables>
    <!-- Index for next variable = 1 -->
    <ScalarVariable
      name="ttime"
      valueReference="33554432"
      initial="exact">
      <Real start="0"/>
    </ScalarVariable>
    <!-- Index for next variable = 2 -->
    <ScalarVariable
      name="der(ttime)"
      valueReference="587202560">
      <Real derivative="1"/>
    </ScalarVariable>
    <!-- Index for next variable = 3 -->
    <ScalarVariable
      name="dist"
      valueReference="33554433"
      initial="exact">
      <Real start="0"/>
    </ScalarVariable>
    <!-- Index for next variable = 4 -->
    <ScalarVariable
      name="der(dist)"
      valueReference="587202561">
      <Real derivative="3"/>
    </ScalarVariable>
    <!-- Index for next variable = 5 -->
    <ScalarVariable
      name="velo"
      valueReference="33554434"
      initial="exact">
      <Real start="0"
        derivative="3"/>
    </ScalarVariable>
    <!-- Index for next variable = 6 -->
    <ScalarVariable
      name="der(velo)"
      valueReference="587202562">
      <Real derivative="5"/>
    </ScalarVariable>
    <!-- Index for next variable = 7 -->
    <ScalarVariable
      name="accel"
      valueReference="637534208">
      <Real/>
    </ScalarVariable>
    <!-- Index for next variable = 8 -->
    <ScalarVariable
      name="obj"
      valueReference="3590324225">
      <Real/>
    </ScalarVariable>
    <!-- Index for next variable = 9 -->
    <ScalarVariable
      name="alpha"
      valueReference="16777216"
      causality="parameter"
      variability="tunable">
      <Real start="0.015"/>
    </ScalarVariable>
    <!-- Index for next variable = 10 -->
    <ScalarVariable
      name="k"
      valueReference="16777217"
      causality="parameter"
      variability="tunable">
      <Real start="2"/>
    </ScalarVariable>
  </ModelVariables>
  <ModelStructure>
    <Derivatives>
      <Unknown index="2"
        dependencies=""
        dependenciesKind=""/>
      <Unknown index="4"
        dependencies="5"
        dependenciesKind="fixed"/>
      <Unknown index="6"
        dependencies="5"
        dependenciesKind="dependent"/>
    </Derivatives>
    <InitialUnknowns>
      <Unknown index="2"
        dependencies=""
        dependenciesKind=""/>
      <Unknown index="4"
        dependencies="5"
        dependenciesKind="dependent"/>
      <Unknown index="6"
        dependencies="5 9 10"
        dependenciesKind="dependent dependent dependent"/>
    </InitialUnknowns>
  </ModelStructure>
</fmiModelDescription>
